aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2015-03-03 15:17:25 -0800
committerGravatar Jan Tattermusch <jtattermusch@google.com>2015-03-03 15:17:25 -0800
commit1970a5b7dee99dbe75ec569103e58dd7dbcb7bfb (patch)
treed75eb667d4f697c616aaac621b95cc92418fed15 /tools/run_tests
parentc82c36b4007bb94ba9c38324b0fc681e87ce2021 (diff)
added C# to run_tests.py
Diffstat (limited to 'tools/run_tests')
-rwxr-xr-xtools/run_tests/build_csharp.sh38
-rwxr-xr-xtools/run_tests/run_csharp.sh46
-rwxr-xr-xtools/run_tests/run_tests.py13
3 files changed, 96 insertions, 1 deletions
diff --git a/tools/run_tests/build_csharp.sh b/tools/run_tests/build_csharp.sh
new file mode 100755
index 0000000000..8227ad37bc
--- /dev/null
+++ b/tools/run_tests/build_csharp.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Copyright 2015, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to gRPC repo root
+cd $(dirname $0)/../..
+
+root=`pwd`
+
+xbuild src/csharp/Grpc.sln
diff --git a/tools/run_tests/run_csharp.sh b/tools/run_tests/run_csharp.sh
new file mode 100755
index 0000000000..d10a41ae9f
--- /dev/null
+++ b/tools/run_tests/run_csharp.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+# Copyright 2015, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to gRPC repo root
+cd $(dirname $0)/../..
+
+root=`pwd`
+cd src/csharp
+
+# TODO: All the tests run pretty fast. In the future, we might need to teach
+# run_tests.py about separate tests to make them run in parallel.
+for assembly_name in Grpc.Core.Tests Grpc.Examples.Tests Grpc.IntegrationTesting
+do
+ LD_LIBRARY_PATH=$root/libs/dbg nunit-console -labels $assembly_name/bin/Debug/$assembly_name.dll
+done
+
+
diff --git a/tools/run_tests/run_tests.py b/tools/run_tests/run_tests.py
index e949670b8c..e1e4a4ba20 100755
--- a/tools/run_tests/run_tests.py
+++ b/tools/run_tests/run_tests.py
@@ -151,6 +151,16 @@ class RubyLanguage(object):
def build_steps(self):
return [['tools/run_tests/build_ruby.sh']]
+class CSharpLanguage(object):
+
+ def test_specs(self, config, travis):
+ return [config.job_spec('tools/run_tests/run_csharp.sh', None)]
+
+ def make_targets(self):
+ return ['grpc_csharp_ext']
+
+ def build_steps(self):
+ return [['tools/run_tests/build_csharp.sh']]
# different configurations we can run under
_CONFIGS = {
@@ -175,7 +185,8 @@ _LANGUAGES = {
'node': NodeLanguage(),
'php': PhpLanguage(),
'python': PythonLanguage(),
- 'ruby': RubyLanguage()
+ 'ruby': RubyLanguage(),
+ 'csharp': CSharpLanguage()
}
# parse command line